Package org.opencv.objdetect

## Class RefineParameters

- java.lang.Object
- - org.opencv.objdetect.RefineParameters

-     public class RefineParameters
      extends java.lang.Object

  struct RefineParameters is used by ArucoDetector

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `RefineParameters()` |
    `` | `RefineParameters​(float minRepDistance)` |
    `` | `RefineParameters​(float minRepDistance, float errorCorrectionRate)` |
    `` | `RefineParameters​(float minRepDistance, float errorCorrectionRate, boolean checkAllOrders)` |
    `protected` | `RefineParameters​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RefineParameters` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `boolean` | `get_checkAllOrders()` |
    `float` | `get_errorCorrectionRate()` |
    `float` | `get_minRepDistance()` |
    `long` | `getNativeObjAddr()` |
    `void` | `set_checkAllOrders​(boolean checkAllOrders)` |
    `void` | `set_errorCorrectionRate​(float errorCorrectionRate)` |
    `void` | `set_minRepDistance​(float minRepDistance)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### RefineParameters

          protected RefineParameters​(long addr)

    - #### RefineParameters

          public RefineParameters​(float minRepDistance,
                                  float errorCorrectionRate,
                                  boolean checkAllOrders)

    - #### RefineParameters

          public RefineParameters​(float minRepDistance,
                                  float errorCorrectionRate)

    - #### RefineParameters

          public RefineParameters​(float minRepDistance)

    - #### RefineParameters

          public RefineParameters()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static RefineParameters __fromPtr__​(long addr)

    - #### get_minRepDistance

          public float get_minRepDistance()

    - #### set_minRepDistance

          public void set_minRepDistance​(float minRepDistance)

    - #### get_errorCorrectionRate

          public float get_errorCorrectionRate()

    - #### set_errorCorrectionRate

          public void set_errorCorrectionRate​(float errorCorrectionRate)

    - #### get_checkAllOrders

          public boolean get_checkAllOrders()

    - #### set_checkAllOrders

          public void set_checkAllOrders​(boolean checkAllOrders)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`